<?php

/**
 * Starter Register Demos
 */

function startupx_demos_list() {

	$plugins = array();

	$plugins[] = array(
		'name'     => esc_html__( 'Startupx Toolkit', 'codegear-starter' ),
		'slug'     => 'startupx-toolkit',
		'path'     => 'startupx-toolkit/startupx-toolkit.php',
		'required' => true
	);

	$demos = array(
		'startupx'      => array(
			'id'    => 'UGC10008',
			'name'       => esc_html__( 'Startup', 'codegear-starter' ),
			'type'       => 'free',
			'status'	 => 'active',
			'categories' => array( 'startupx', 'business' ),
			'builders'   => array(
				'elementor',
			),
			'thumbnail'  => 'https://demo.codegearthemes.com/startupx/startup/wp-assets/thumb.png',
			'preview'	 => 'https://demo.codegearthemes.com/?id=UGC10008',
			'plugins'    => array_merge(
				array(
					array(
						'name'     => 'Elementor Website Builder',
						'slug'     => 'elementor',
						'path'     => 'elementor/elementor.php',
						'required' => false
					),
					array(
						'name'     => 'Contact Form 7',
						'slug'     => 'contact-form-7',
						'path'     => 'contact-form-7/wp-contact-form-7.php',
						'required' => false
					)					
				),
				$plugins
			),
			'import'     => array(
				'content'    => 'https://demo.codegearthemes.com/startupx/startup/wp-assets/startupx-startup.xml',
				'widgets'    => 'https://demo.codegearthemes.com/startupx/startup/wp-assets/startupx-startup.wie',
				'customizer' => 'https://demo.codegearthemes.com/startupx/startup/wp-assets/startupx-startup.dat',
			),
		)
	);

	return $demos;
}
add_filter( 'codegear_register_demos_list', 'startupx_demos_list' );

/**
 * Define actions that happen after import
 */
function startupx_setup_after_import() {

	// Assign the menu.
	$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );
	set_theme_mod(
		'nav_menu_locations',
		array(
			'main-menu' => $main_menu->term_id,
		)
	);

	// Asign the static front page and the blog page.
	$front_page = get_page_by_title( 'Home' );
	$blog_page  = get_page_by_title( 'Blog' );

	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page->ID );
	update_option( 'page_for_posts', $blog_page->ID );

    update_option( 'elementor_disable_color_schemes', 'yes' );
	update_option( 'elementor_disable_typography_schemes', 'yes' );
	update_option( 'elementor_container_width', 1170 );

	// Delete the transient for demo id
	delete_transient( 'codegear_starter_importer_demo_id' );

}
add_action( 'codegear_starter_finish_import', 'startupx_setup_after_import' );